Subject: Re: [X2Go-Dev] Bug#276: qt/kde applications does not work as root.

From: Pascal d'Hermilly <[email-masked]>
Date: Tue, 30 Jul 2013 12:31:18 +0200

Den 30-07-2013 11:56, Mike Gabriel skrev:
> Hi Pascal,
>
> On Di 30 Jul 2013 10:59:00 CEST Pascal d'Hermilly wrote:
>
>> Den 30-07-2013 10:17, Mike Gabriel skrev:
>>>>
>>>> However quite important is that with Qt5 the "native" qt_graphicssystem is being removed. Will x2go work with qt5 application?
>>>>
>>>
>>> Probably not or if then very slow. X2Go does not handle desktop shell that do the rendering server-side very well. With widget toolkits that do the rendering on the server (as opposed to pushing X objects over the network and leave the rendering to the client) X2Go does not perform so well.
>> According to http://vizzzion.org/blog/2013/07/the-next-kubuntu-graphics-stack/ Kubuntu 14.10 will ship with KDE Plasma Workspaces 2 (QT5) that depends on wayland. Will x2go be relevant in this setup? the name suggests a dependency of X.
>> Obviously X will be around for a fair amount of time, but the new KDE will not run on it.
>>
>
> X2Go only works with applications that run as X11 clients. The x2goagent binary is an X-Server that the applications connect to when started.
>
> I cannot image that Qt5 fully lacks X11 support. Only thing is that Ubuntu migrates to Mir (not Wayland AFAIK) and heavily pushses resources into Qt development (as Unity and Unity Greeter will move to Qt as widget framework).
QT5 does not lack X11 support, but as I understand it it will remove the "graphicssystem" arg and raster through mesa.

Also I wrote something wrong. KDE Plasma workspaces 2 support, not depend on, wayland.
Sorry for the misinformation.
//Pascal
>
> If the upstream people of KDE decide for that path, then X2Go will have to make it without KDE.
>
> Greets,
> Mike
>
>
>